// @zone, @cible, @skewX, @skewY, @skewIncX, @skewIndY, @scaleX, @scaleY, @scaleIncX, @scaleIncY, @translateX, @translateY, @translateIncX, @translateIncY
.lettrineMorph(@zone, @cible, @skewX, @skewY, @skewIncX, @skewIncY, @scaleX, @scaleY, @scaleIncX, @scaleIncY, @translateX, @translateY, @translateIncX, @translateIncY){
  .loop (@i) when (@i > 0) {
    .@{zone} .word:nth-of-type(@{i}) {
      #@{cible} {
      @skX: @skewX + @skewIncX * @i;
      @skY: @skewY + @skewIncY * @i;
      @scX: @scaleX + @scaleIncX * @i;
      @scY: @scaleY + @scaleIncY * @i;
      @trX: @translateX + @translateIncX * @i;
      @trY: @translateY + @translateIncY * @i;
      @zdn: 10 + @i;
      // @test: ~'@{skewX} + (@{skewIncX} * @{i})';
      transform: ~"skew(@{skX}deg, @{skY}deg) scale(@{scX}, @{scY}) translate(@{trX}px, @{trY}px)";

    }
  }
  .loop(@i - 1);
  }
  .loop(9);
}
// @zone, @cible, @skewX, @skewY, @skewIncX, @skewIndY, @scaleX, @scaleY, @scaleIncX, @scaleIncY, @translateX, @translateY, @translateIncX, @translateIncY
// A
.lettrineMorph(
  parade, // zone
  letter_65, // cible
  0, // skewX
  0, // skewY
  -10, // skewIncX
  -3, // skewIncY
  1, // scaleX
  1, // scaleY
  0, // scaleIncX
  0, // scaleIncY
  0, // translateX
  -300, // translateY
  0, // translateIncX
  100 // translateIncY
  );
// S
.lettrineMorph(
  design, // zone
  letter_83, // cible
  50, // skewX
  20, // skewY
  -10, // skewIncX
  -5, // skewIncY
  1, // scaleX
  1, // scaleY
  0, // scaleIncX
  0, // scaleIncY
  0, // translateX
  0, // translateY
  10, // translateIncX
  10 // translateIncY
  );

// D
.lettrineMorph(
  design, // zone
  letter_68, // cible
  50, // skewX
  20, // skewY
  -10, // skewIncX
  -5, // skewIncY
  1, // scaleX
  1, // scaleY
  0, // scaleIncX
  0, // scaleIncY
  0, // translateX
  0, // translateY
  10, // translateIncX
  0 // translateIncY
);

// n
.lettrineMorph(
  design, // zone
  letter_78, // cible
  0, // skewX
  0, // skewY
  0, // skewIncX
  0, // skewIncY
  0.7, // scaleX
  1, // scaleY
  0.05, // scaleIncX
  0, // scaleIncY
  0, // translateX
  0, // translateY
  10, // translateIncX
  30 // translateIncY
);
// P
.lettrineMorph(
  parade, // zone
  letter_80, // cible
  0, // skewX
  0, // skewY
  0, // skewIncX
  0, // skewIncY
  1, // scaleX
  1, // scaleY
  0, // scaleIncX
  0, // scaleIncY
  0, // translateX
  -200, // translateY
  0, // translateIncX
  300 // translateIncY
);
// R
.lettrineMorph(
  parade, // zone
  letter_82, // cible
  0, // skewX
  0, // skewY
  0, // skewIncX
  0, // skewIncY
  1, // scaleX
  1, // scaleY
  0, // scaleIncX
  0, // scaleIncY
  80, // translateX
  -200, // translateY
  0, // translateIncX
  10 // translateIncY
);

.wordStyle(@zone, @inc, @unit){
  .loop (@i) when (@i > 0) {
    .@{zone} .word:nth-of-type(@{i}){
      @h: @unit * (@inc * @i);
      height: @h + 1pt;
      // margin-bottom: 600px !important;
    }
    .loop(@i - 1);
  }
  .loop(9);
}
.wordStyleNeg(@zone, @inc, @unit){
  .loop (@i) when (@i > 0) {
    .@{zone} .word:nth-of-type(@{i}){
      @h: @inc + (@unit * @i);
      // height: (@inc + @h) * 1pt;
      position: absolute;

      bottom: @h;
    }
    .loop(@i - 1);
  }
  .loop(10);
}
.wordStyle(design, 18, 3);
.wordStyle(parade, 20, 6);

.design {
  path{
    stroke: @colorvertcmjn;
    fill: white;
    stroke-width: .1px;
  }
}
.parade {
  svg {
    margin-bottom: 0px;

  }
  path{
    stroke:@colorvertcmjn;
    fill: white;
    stroke-width: .1px;
  }

}
